Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.

Các bài được khuyến nghị

sgcq    701

:D :D :D

Bài này theo 2 lúa muốn tính thì có 2 cách:

Cách 1: tính chính xác.

Cách 2: tính lụi.

:D :D :D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
sgcq    701

:D :D :D

Sau đây, 2 lúa sẽ trình bày cách tính lụi. aa+dim:

 

110802_untitled1_99.jpg

 

 

Với cái rãnh thì 2 lúa cũng lụi tương tự với dim tính bằng cách lấy trung bình độ dài của pl trong và pl ngoài của cái rãnh.

 

Trong trường hợp có con số so sánh khác cho phép biết 2 lúa sai quá xa. Thì xắt lát cái rãnh đó thành 10 phần để tính. (5 ngang, 5 dọc.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

Câu đố trên rất hay, bổ ích và thiết thực , vậy mà không có bác nào tham gia, để em đưa ra kết luận cuối cùng.

Bác Bình đã đưa ra lời giải:” Cái ni có nhẽ là do người dùng đã đặt cái biến sai số khi joint pline đủ to. Đoán mò vậy, trúng thì tốt mà trật lại càng tốt hơn.”

Có thể lời giải của bác đúng, nhưng vì em chưa biết cách đặt cái  “biến sai số khi joint pline đủ to” như thế nào, nên em đã hồi đáp” Hơi bị tiếc là bác đã đoán mò ...trật ra ngoài rồi!” với hi vọng là bác đưa câu  trả lời.

Thực ra là sau khi cài đặt AutoCAD nó mặc định Unist có Precision = 0,0000. Do vậy có trường hợp một hình kín và một hình hở, khi dùng lệnh Li  để xem diện tích nó sẽ cho kết quả như nhau.

Nếu thay đối Precision = 0,0000000  trong Unist kết quả sẽ khác nhau.

@ Bác Bình em vẫn không hiểu cách tính của bác thế nào mà lại: Tách cái rãnh bán nguyệt thành 2 phần, rồi lại tách khối B ra làm hai phần ???

Cách tính của em là chia ra làm 4 phần như hình ảnh:

114276_32144447.png

Hề hề hề,

Chia hai hay chia 4 phần như bác.... em Hoan2182 đều như nhau cả thôi. Nhưng mà chia 2 phần thì nó ít phải cộng trừ hơn.

Cái khó nhất chỉ là ở cái mỏ chim ...... bồ nông ấy thôi mà.

Vì thế minh mới tách tiếp nó thành hai mảnh cho dễ tính thôi.

Mảnh 1 thì khỏi bàn, còn mảnh 2 thì nó chính là 1/2 ( thể tích của khối hộp 4.75 x 4.75 x 20 trừ đi khồi bán trụ r 4.57 dài 5)

Nếu để nguyên cả mảnh thì sẽ không áp dụng được thằng cu 1/2 nên sẽ hơi vất vả khi tính.

Mảnh còn lại của mình hay tổng ba mảnh còn lại của bác em có nhẽ cách tính như nhau mà thôi. Trải nó ra thành khối thẳng , phần rãnh bán nguyệt thì cũng chơi kiểu cùn cùn như trên là Ok mà.

 

PS: Cái cách cùn cùn của mình vì chả nhớ công thức tính thể tích hình xuyến, Còn nếu nhớ được như bác em thì chả phải cùn làm chi đối với cái mảnh 1. Với mảnh 2 (mỏ chim) thì có nhẽ cái công thức tính thể tích hình xuyền sẽ chả có ích gì ở đây cả. bác em xem lại xem nhé.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
sgcq    701

:D :D :D

Trường hợp gặp kiểm toán quá khó, không chấp nhận cách tính của 2 lúa thì có cách sau:

- Đưa cho vị kiểm toán đó công thức sau và nhờ họ tính. Sau đó sử dụng đáp số của họ để ráp vô bài của 2 lúa. :D

 

 

v=110802_untitled1_100.jpg

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

:D :D :D

Trường hợp gặp kiểm toán quá khó, không chấp nhận cách tính của 2 lúa thì có cách sau:

- Đưa cho vị kiểm toán đó công thức sau và nhờ họ tính. Sau đó sử dụng đáp số của họ để ráp vô bài của 2 lúa. :D

 

 

v=110802_untitled1_100.jpg

Hề hề hề,

Bác Hai lụi được cái công thức ni thì kiểm toán nó vãi hết cả linh hồn chứ còn kiểm cái chi nữa ạ ?????

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

Câu đố trên rất hay, bổ ích và thiết thực , vậy mà không có bác nào tham gia, để em đưa ra kết luận cuối cùng.

Bác Bình đã đưa ra lời giải:” Cái ni có nhẽ là do người dùng đã đặt cái biến sai số khi joint pline đủ to. Đoán mò vậy, trúng thì tốt mà trật lại càng tốt hơn.”

Có thể lời giải của bác đúng, nhưng vì em chưa biết cách đặt cái  “biến sai số khi joint pline đủ to” như thế nào, nên em đã hồi đáp” Hơi bị tiếc là bác đã đoán mò ...trật ra ngoài rồi!” với hi vọng là bác đưa câu  trả lời.

Hề hề hề,

Gọi là đoán mó bởi trong Cad có lệnh joint pline cho phép joint các pline với tham số fuzz chỉ cái độ hở lớn nhất giửa các đỉnh của các pline.

Mà cái lệnh li hay boundary của CAD đều dựa trên việc tạo ra một pline kín bao quanh cái mảnh cần tính diện tích. 

Bởi vậy nếu quá trình tạo pline này cho phép nối các đỉnh hở với khoảng nhỏ hơn biến fuzz thì cái diện tích tinh ra sẽ trùng nhau mà thôi.

Mò vậy mà chửa trúng thì càng vui hơn bởi biết rằng cái mò của minh chưa tới nơi và thế là lại được..... mò nữa.

Cái biến fuzz này hình như cũng có liên quan chi đó với cái thằng precision Units thì phải.....

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Hoan1111    694

@Anh Hai Lúa: Nếu đúng như dự đoán của bác Bình là chị Hà em ra câu đố 2D,  kiểu  “tính lụi. aa+dim” là lạc đề, thà dựng luôn 3d để xác định sẽ nhanh hơn.  Giả sử  công việc cần gấp, sếp giao bản vẽ cho anh tính khối lượng mà mất điện toàn quả đất thì anh ứng xử ra răng???

 

@ Bác Bình:

1-  Em chia 4 đế tính cái vòng ôm  theo thể tích vòng xuyến. Bác chia 2 để khai triển ra hộp để tính. Xét về lý thuyết khai triển theo R trung bình không sai. Nhưng thực tế là nó chỉ gần đúng khi R ôm  nhỏ hơn 90º, ở đây góc ôm lớn 225º  bán kính ôm lại nhỏ, sai số sẽ tăng lên đáng kế, nhất là khi độ dầy của nó lại lớn. Bởi vậy khi khai triển những chi tiết uốn gò có chiều dầy lới  và  góc ôm lớn R, R ôm nhỏ,  người ta  không khai trên theo R trung bình mà phải lấy nhỏ hơn Rtrungbinh một khoảng ...nhất định.

2-

 

114276_555555.png

 

http://www.cadviet.com/upfiles/3/114276_2727889_vui_1.dwg

Nếu thay đối Precision = 0,0000000  trong Unist kết quả diện tích của hình 1 và 2  sẽ không bằng nhau nữa.

Chốt lại là đáp án của bác Hà và bác Bình đều đúng !  :) :) :)

Đây không phải là câu đố mà là thông điệp của bà con nông dân muốn gửi tới anh Hai Lúa, chỉ mong anh nối dài cái  Precision = 0,0000000  trong Unist, khi tính diện tích đất đai ruộng đồng, cho bà con  dễ  thở một tí thôi ạ!.....

  • Vote tăng 3

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Hoan1111    694

:D :D :D

Bác Haanh là kiến trúc hay cơ khí nhỉ. Lại lặn rất lâu nữa.

- Nếu là kiến trúc thì nhóm lệnh: aa+dim là xong.

- Nếu cơ khí thì dựng 3d rồi MASSPROP

- 2 lúa thì thích tính theo kiểu aa+dim hơn.

:D :D :D

 

Đây là toác phẩm tập vẽ  mới nhất của chị Hà em:

114276_trnh77777_1.png

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

Đây là toác phẩm tập vẽ  mới nhất của chị Hà em:

 

 

Hề hề hề,

Đây là câu trả lời hay câu đố vậy em gái ơi????

Khó quá, tới hai túp lều tranh chớ chả phải là 1. hay là 1 cái của em gái nhể????

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Hoan1111    694

Câu trả lời thì em đã có câu trả lời thay  chị Hà em pót  ở trang trước rồi, bác ạ!

Đây là câu đố, nhưng vì úp ảnh lên, do chức năng của diễn đàn có cái bất cập là không viết chữ thêm được ở dưới hình ảnh nữa, do vậy em cứ tạm pót bài trước đã sau mới edit lại sau. Không biết đây có phải là hai túp lều tranh nhiều trái tim vàng không? Bức tranh sẽ đầy chất cảm hơn, nếu như chị Hà em tô đậm hình người ngồi ở túp lều có cái cầu thang bắc xuống hồ nước! :) :) :)

Đố vui: Hình ảnh trên là tranh phong cảnh tả thực. Nếu ngồi ngoài  thực địa để vẽ giống như thật sẽ mất rất nhiều thời gian, đố anh Hai Lúa và các bác:  chị Hà em đã dùng mẹo vặt gì để có thể vẽ nhanh và giống cảnh ngoài thực địa nhất????

 

([sHARE] 2 lúa lại vẽ bậy! :http://www.cadviet.com/forum/topic/78354-share-2-lua-lai-ve-bay/

Hỏi: anh Hai Lúa đã dùng chiêu gì để vẽ bậy nhanh, mong anh chia sẻ, xem cách vẽ bậy của anh có giống cách vẽ của chị Hà em không???)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
haanh    1.587

Về cấu đố của bác haanh có nhẽ không chơi kiểu tính diện tích cho nhanh được mô. Bởi cái rãnh bán nguyệt và 2 cái filllet không thể dùng kiểu nớ được bác ạ.

Mình có cách cùn cùn cũng tinh được nhưng chắc là hổng nhanh nên gác mỏ chờ bác haanh giải đáp thui

 

Câu đố em đưa ra là để anh Hai Lúa dựng hình 3D. Tuy nhiên nếu xác định thể tích từ hình 2D của chi tiết càng vui, bác ạ! (Nếu có trong tay công thức tính thế tích của hình vòng xuyến thì việc tính toán trở nên đơn giản.

Có thể anh Hai Lúa đã hiểu lầm thiện ý của em, nên đã thờ ơ với câu đố này. Thú thực là em rất thích cá tính của anh Hai Lúa. Vẽ đúng hình 3D không khó, song vẽ giả 3D như thật,  như anh Hai Lúa đã vẽ,  em cho rằng không phải ai cũng vẽ được:

 

Phải công nhận là anh Hai Lúa có công nghệ vẽ 3D giả ( Vẽ giả 3D) siêu ....cầu thủ thiệt đó! Dòm cái hình 3D y sì phoóc không trẹo cái 2D tí nào!

Anh có thể chia sẻ ý tưởng và kinh nghiệm vẽ giả 3D như thật được không???

 

Nguồn:http://www.cadviet.com/forum/topic/65726-nho-giup-do-ve-hinh-3d-nay/page-3

 

Phải chăng, ý tưởng và cảm hứng cho việc vẽ giả 3d  của anh Hai Lúa đã được khơi nguồn từ thuở anh ấy còn  đi chăn vịt trên CÁNH ĐỒNG BẤT TẬN của nhà văn Nguyễn Thị Ngọc Tư???

http://www.youtube.com/watch?v=jwTsKP1HnlI

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
haanh    1.587

2). Tôi không rành 3D nên không hiểu trong 3D có xác định được giao của mặt bậc 3 với 1 mặt phẳng bất kỳ không? Nếu được thì chỉ việc đưa về bài toán tìm giao của 1 đường thẳng và 1 đường cong >> có thể làm bằng lisp chính xác 100%.

Vấn đề nằm ở chỗ: giao của mặt bậc 3 và mặt phẳng ???

 

Cảm ơn bác Hà rất nhiều! Em muốn có một giải pháp nhanh và chính xác tuyệt đối, bác ạ!.

Cách "cù... nhầy" của em, chỉ  tính được gần đúng, hơi bị buồn.  Em dùng lệnh Sweep biến đường thẳng thành solid  có đường kính nhỏ R 0.000005; sau đó, em dùng lệnh Subtract để cắt phần phần solid nằm trong mặt phẳng >>>Tìm được giao điểm của solid với mặt 3D

Nếu bác viết lisp mà chỉ cần gõ lệnh..... >>>  Chọn khối 3D >>> Chọn đoạn thẳng  >>>Đoạn thẳng này sẽ bị cắt tại vị trí giao với mặt 3D, thì tuyệt vời, bác ạ!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Hoan1111    694

114276_3333.jpg

( Hình chiếu đứng chủ thớt vẽ sai, Hoằn lười không sửa lại)

Đố vui: làm thế nào để vẽ nhanh khối trụ vát có tọa độ như hình vẽ.???

Xin mời các bác tiếp tục thư giãn!

Nguồn câu đố: http://www.cadviet.com/forum/topic/85663-ve-hinh-tru-vat-bang-cad-3d/

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.677

1). Dùng lệnh SECTION vẽ mặt cắt khối, đi qua 3 điểm: start_point + end_point của line và 1 điểm thuộc khối nhưng không nằm trên line (tức: 3 điểm không thẳng hàng), được giao là 1 REGION.

2). Tìm giao của REGION và LINE => chúng là giao của khối và line.

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
haanh    1.587

1). Dùng lệnh SECTION vẽ mặt cắt khối, đi qua 3 điểm: start_point + end_point của line và 1 điểm thuộc khối nhưng không nằm trên line (tức: 3 điểm không thẳng hàng), được giao là 1 REGION.

2). Tìm giao của REGION và LINE => chúng là giao của khối và line.

 

Hi hi...vui quá trời ông địa luôn, em cảm ơn bác Doan Va Ha nhiều nhé! Cảm ơn bác đã đưa ra một cách làm khác,  với một lệnh mới mẻ đối với em đó là  SECTION. Cách làm của bác,  khiến em nghĩ tới phương án gắn hệ trụ tọa độ chọn điểm đầu và điểm cuối của đường thẳng + một điểm tùy ý để dựng khối hộp bằng lệnh Box  >>> Dùng Union để kết dính 2 khối thành một  khối >>>Dùng Id để xem tọa độ của giao điểm giữa đường thẳng và mặt bậc ba.

Xin bác đừng trách em, đừng bảo em là vòi vĩnh, là có voi đòi tiên, em vốn dị ứng với lisp, nhưng trong trường hợp này, em muốn bác viết tặng em một cái lisp : Gõ lênh >>> Chọn khối 3 D >>>chọn đường thẳng >>>sẽ có kết quả là đường thẳng bị khối 3D cắt  tại giao điểm của đường thẳng với khối 3D (Tương tự như dùng lệnh Trim). Nếu có thời gian rảnh, bác viết lisp giúp em nhé, còn nếu bận công việc và mất nhiều thời gian thi thôi cũng được, bác ạ! Em xin được chúc bác cùng gia đình luôn dồi dào sức khỏe và gặp vui nhiều!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
haanh    1.587

Trong các bài toán thường gặp là tìm giao của đường thẳng với mặt bậc 3 như hình em đã vẽ minh họa ở trang trước. Trim cắt bỏ đi phần đoạn thẳng  nằm trong khối 3D, giữ lại đoạn thẳng nằm ngoài khối 3D, bác ạ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.677

Quick code cho Haanh đây. Tìm giao của khối 3D và Line, đồng thời Trim phần Line nằm bên trong khối 3D. Lệnh: TR3D

P/S: edit 12h05' - 4/11/2013

 

;; Doan Van Ha - CADViet.com - Ngay 03/11/2013
;; Chuc nang: tim giao cua line voi 3DSolid va trim phan line nam ben trong solid.
(defun C:TR3D ( / #Inter:2Ent #List:UniqueFuzz lst sol lin lin1 p3 rec reg g1 g2)
 (setq osm (getvar "osmode") cmd (getvar "cmdecho")) (command "undo" "be") (or cal (arxload "geomcal")) (command "ucs" "w")
 (defun #Inter:2Ent(ent1 ent2 flag / l r)
  (setq l (vlax-invoke (vlax-ename->vla-object ent1) 'intersectwith (vlax-ename->vla-object ent2) flag))
  (repeat (/ (length l) 3)
   (setq r (cons (list (car l) (cadr l) (caddr l)) r) l (cdddr l)))
  (reverse r))
 (defun #List:UniqueFuzz(l f / x r)
  (while l
   (setq x (car l) l (vl-remove-if '(lambda(y) (equal x y f)) (cdr l)) r (cons x r)))
  (reverse r))
 (if
  (and
   (setq lin (car (entsel "\nChon Line: ")))
   (setq sol (car (entsel "\nChon khoi 3D: ")))
   (setq p3 (getpoint "\nChon 1 diem tren khoi 3D (nhung khong nam tren Line): ")))
  (progn
   (setvar "osmode" 0) (setvar "cmdecho" 0)
   (command "copy" lin "" '(0 0) '(0 0))
   (setq lin1 (entlast))
   (command "section" sol "" (cdr (assoc 10 (entget lin1))) (cdr (assoc 11 (entget lin1))) p3)
   (setvar "osmode" osm) (setvar "cmdecho" cmd)
   (setq reg (entlast))
   (setq lst (#List:UniqueFuzz (#Inter:2Ent lin1 reg acExtendNone) 1E-8))
   (cond
    ((= (length lst) 2) (setq p1 (car lst) p2 (cadr lst)) (command "trim" reg "" (cal "plt(p1,p2,0.5)") ""))
((= (length lst) 1) (setq p (getpoint "\nChon 1 diem tren Line va nam phia trong khoi 3D: ")) (setvar "osmode" 0) (setvar "cmdecho" 0) (command "trim" reg "" p ""))
((= (length lst) 0) (alert "Line khong cat khoi 3D nen khong Trim duoc."))
(T (alert "Line cat khoi 3D nhieu hon 2 diem nen khong Trim kieu nay duoc.")))
   (entdel reg) (entdel lin)))
 (command "ucs" "p") (command "undo" "e") (setvar "osmode" osm) (setvar "cmdecho" cmd)
 (princ))
(vl-load-com)
(princ "\nLenh su dung: TR3D")  
 
;; Doan Van Ha - CADViet.com - Ngay 03/11/2013
;; Chuc nang: tim giao cua line voi 3DSolid va trim phan line nam ben trong solid.
(defun C:TR3D ( / #Inter:2Ent #List:UniqueFuzz lst sol lin p3 rec reg g1 g2)
 (setq osm (getvar "osmode") cmd (getvar "cmdecho")) (command "undo" "be") (or cal (arxload "geomcal")) (command "ucs" "w")
 (defun #Inter:2Ent(ent1 ent2 flag / l r)
  (setq l (vlax-invoke (vlax-ename->vla-object ent1) 'intersectwith (vlax-ename->vla-object ent2) flag))
  (repeat (/ (length l) 3)
   (setq r (cons (list (car l) (cadr l) (caddr l)) r) l (cdddr l)))
  (reverse r))
 (defun #List:UniqueFuzz(l f / x r)
  (while l
   (setq x (car l) l (vl-remove-if '(lambda(y) (equal x y f)) (cdr l)) r (cons x r)))
  (reverse r))
 (if
  (and
   (setq lin (car (entsel "\nChon Line: ")))
   (setq sol (car (entsel "\nChon khoi 3D: ")))
   (setq p3 (getpoint "\nChon 1 diem tren khoi 3D (nhung khong nam tren Line): ")))
  (progn
   (setvar "osmode" 0) (setvar "cmdecho" 0)
   (command "section" sol "" (cdr (assoc 10 (entget lin))) (cdr (assoc 11 (entget lin))) p3)
   (setvar "osmode" osm) (setvar "cmdecho" cmd)
   (setq reg (entlast))
   (setq lst (#Inter:2Ent lin reg acExtendNone))
   (cond
    ((>= (length lst) 2) (setq lst (#List:UniqueFuzz lst 1E-8) p1 (car lst) p2 (cadr lst)) (command "trim" reg "" (cal "plt(p1,p2,0.5)") ""))
((= (length lst) 1) (setq p (getpoint "\nChon 1 diem tren Line va nam phia trong khoi 3D: ")) (setvar "osmode" 0) (setvar "cmdecho" 0) (command "trim" reg "" p ""))
((= (length lst) 0) (alert "Line khong cat khoi 3D nen khong Trim duoc.")))
   (entdel reg)))
 (command "ucs" "p") (command "undo" "e") (setvar "osmode" osm) (setvar "cmdecho" cmd)
 (princ))
(vl-load-com)
(princ "\nLenh su dung: TR3D")  
  • Vote tăng 3

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
haanh    1.587

Ôi vui quá, hi hi :) :) ...Cảm ơn bác đã dành tặng cho em một món quà bất ngờ!

Nhưng bác Hà ơi, không biết có phải AutoCAD của em có lỗi gì không mà không chạy được lisp của bác:

Khi em chọn một điểm trên 3D, em không thấy có chế độ bắt điểm, em không bắt điểm được một điểm cố định trên khối 3D, nó không cho bắt điểm ??? Em đành phải bấm chọn lung tung, sau đó em chọn line thì nó báo lỗi như sau:

Command: giao
Chon khoi 3D:
Chon 1 diem tren khoi 3D (nhung khong nam tren Line):
Chon Line:
Error:
AutoLISP variable G2 has no value
Unknown command "GIAO".  Press F1 for help.
Command:

Em rất mong bác giải đáp cho em, em thử trên file này: http://www.cadviet.com/upfiles/3/11837_11837_haanh02_1.dwg

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.677

1). Chế độ bắt điểm bình thường.

2). Tôi đã hỏi từ đầu rồi nhưng Haanh khẳng định là line luôn cắt khối tại 2 điểm. Tuy nhiên, bản vẽ Haanh gởi lên thì đoạn line chỉ cắt khối 1 điểm (?) >> Haanh kéo dài line ra để nó cắt khối tại 2 điểm nhé.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
haanh    1.587

11837_haanh8354.png

1/- Cho em xin lỗi bác nhé, lỗi tại em khi gõ bàn phím vô tình làm tắt chế độ bắt điểm. :) :)

2/ Em đã viết : "Trong các bài toán thường gặp là tìm giao của đường thẳng với mặt bậc 3, như hình em đã vẽ minh họa ở trang trước. Trim cắt bỏ đi phần đoạn thẳng  nằm trong khối 3D, giữ lại đoạn thẳng nằm ngoài khối 3D, bác ạ"

Lỗi tại em không viết rõ ràng, bác ạ!

Ý định ban đầu của em là chỉ cần xác định giao điểm khi đường thẳng lao vào hình 3D chứ không xuyên qua.  Bác đã viết lisp tìm được 2 giao điểm càng vui, nhưng em chỉ cần một giao điểm thôi, lại phải mất công kéo dài đoạn thẳng và xóa đoạn thẳng phía dưới.

Phiền bác sửa lại lisp dùng cho cả 2 trường hợp,  khi đường thẳng  được khối cắt tại 1 giao điểm và khi đường thẳng được khối cắt tại 2 giao điểm. Em cảm ơn bác nhiều!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×